export declare type BucketOptions<T = unknown> = {
    storage?: Storage;
    version?: number;
    expire?: number;
    defaultValue?: T;
};
export declare type BucketEntry<T = unknown> = {
    version: number;
    timestamp: number;
    data: T;
};
export declare type Bucket<T> = [() => T, (value: T) => void, () => void];
export declare function getBucket<T>(name: string, options?: BucketOptions<T>): Bucket<T>;
